Issue 21051 - Dots not displayed in certain MathType objects
Summary: Dots not displayed in certain MathType objects
Status: ACCEPTED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 1.1 RC4
Hardware: PC Linux, all
: P4 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2003-10-11 15:17 UTC by Unknown
Modified: 2013-08-07 14:38 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
MS Doc document in which the problem appears (565.50 KB, application/ms-word)
2003-10-11 15:19 UTC, Unknown
no flags Details
screen shot of equations 16 and 17 in the attached MS Word document (131.40 KB, image/png)
2003-10-13 10:11 UTC, Unknown
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Unknown 2003-10-11 15:17:05 UTC
hi,
My colleague who only use MS Office has sent me a scientific document
containing many mathematic formulae. When I open the file with openoffice, I
found that several symbols which should have a dot on top of it appear without
the dot. I though at first that this was my colleague 's mistake, but when
I talk to him he says that there _was_ the dot on his document opened with MS
Word. I don't have Word so I can't check, but when I sent back to him the
formula where the dot is missing _under openoffice_, which I copy from his
original document and and save in .doc format, he also see no dot. So the
dot was probably lost during the conversion from MS doc format to the
internal format of openoffice.

The document which shows this problem will be attached to this report
The dot is missing in formula (5), (16), (17) and many other (but not in
formula (1), for ex.).

I am still using the version 1.1rc4 since I can't find a 1.1 version in French.
If this error has been corrected in 1.1, please disregard.
Comment 1 Unknown 2003-10-11 15:19:51 UTC
Created attachment 10211 [details]
MS Doc document in which the problem appears
Comment 2 askoning 2003-10-11 21:09:09 UTC
Hi,

Which symbols should have dots? Indeed they are missing so thus far
the problem is confirmed in 1.1/Linux... confirming therefore
Could you attach a screenshot of e.g. equations 16 and 17?

Thanks
- ASK
Comment 3 askoning 2003-10-11 21:15:40 UTC
Addendum: some other characters are missing. 
At various places there is a formula [(Delta) (empty space)].
Comment 4 Unknown 2003-10-13 10:09:04 UTC
I am attaching a screen shot containing equations (16) and (17) of the
attached document. The symbols (capital) phi and V in the right hand
side of the equations have a dot over it under MS Word, but the dot is
missing when imported into openoffice.

Curiously, in some (rare) equations, such as equation (1), the dot is
_not missing_.

I don't have however the problem of some characters missing such as
[(Delta) (empty space)].
Comment 5 Unknown 2003-10-13 10:11:56 UTC
Created attachment 10252 [details]
screen shot of equations 16 and 17 in the attached MS Word document
Comment 6 h.ilter 2003-10-13 16:47:20 UTC
Reassigned to MRU
Comment 7 michael.ruess 2003-10-24 16:35:40 UTC
Hm, I cannot reproduce the problem. I tried it with OO 1.1 on Windoze
and Linux, but I correctly get the dots above the mentioned symbols.

Wolfram, have you heard about certain situations where Metafiles have
such glitches?
Comment 8 lohmaier 2003-10-24 18:32:21 UTC
Maybe a StarSymbol <-> Opensymbol issue?
I don't get the dots on equations 16 and after 
"Equation derreur de vitesse :
Léquation théorique vérifiée par la vitesse est léquation (2) :"
with OOo 1.1.0 on linux.

.. The font in the equations is "Times New Roman" though...
Comment 9 lohmaier 2003-10-24 18:45:10 UTC
Addendum:
When checking [x] convert MathType to OOo Math in the Options, I get
the dots (but not on the right hand-side but on the left)

The conversions fails badly with binary operators that don't have the
second "argument" (the document uses the "times"-operator (the "x")
quite a lot and thus there is much manual work required to fix eg
" size 12{ left [&#969; rSub { size 8{m} }  times  right ]} " to 
" size 12{ left [&#969; rSub { size 8{m} }  times  {} right ]} "
(there should be a small omega before rSub -just in case IssueZilla
cannot handle this)

unfortunately the missing {} distorts the formula badly so you cannot
really tell what it should look like before fixing the errors (klick
on the questionmark to jump to the position in the command-window,
insert the {},...}
Comment 10 wolframgarten 2003-10-27 10:10:15 UTC
No problems, sorry. Sounds like a problem with the installed fonts.
Tested it on Win and Linux, no problems. All dots where they should be.
Comment 11 lohmaier 2003-10-29 17:51:57 UTC
(for the conversion/missing {} see also issue 21484 )

@wolfram: Do you really have a "plain" OOo installation without
StarSymbol?

I'm using Mandrake Linux 9.0 (with additional ms-fonts from
corefonts.sf.net = "real" Times New Roman available) running gnome 2.4
(selfcompiled) and don't get the dots in the mentioned formulas.
Comment 12 Unknown 2003-10-30 10:40:28 UTC
The problem appears indeed font related. I have actually added to my
openoffice the MS font package freely found on the MS site (but it
have been withdrawn now). If I delete these fonts, many of the math.
symbols disspear (i.e. replaced by blanks), including those with the
missing dot. Note that my openoffice comes with only the Vera fonts
which was not even included in the Debian version of openoffice.

However, if I copy and paste a portion of the document under
openoffice and reexport it in MS word format and sent it back to my
correspondent who has Word, then symbol with missing dot remain
missing (under Word) which in the original version they have dot
Thus something has changed by the simple act of copy and paste, which
shoild not be connect to the missing fonts for displaying the
document.
Comment 13 michael.ruess 2004-02-05 13:40:40 UTC
MRU->SJ: The problem is only reproducable on Unix WITHOUT having MathType
conversion activated. in some formula objects (e.g. see page 7, Formula (16) and
following). There should be shown dots above some of the Greek letters. When
clipping down the document to the offending 5 or 6 objects, the formulas are
displayed correctly in their metafiles. Maybe a problem with the memory on Unix
systems?
Comment 14 sven.jacobi 2004-05-27 15:50:46 UTC
accepted.